- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- File List
- File Members

Defines | Functions

# qatomic_generic.h File Reference

Go to the source code of this file.

## Defines
#define | Q_ATOMIC_INT_REFERENCE_COUNTING_IS_NOT_NATIVE
#define | Q_ATOMIC_INT_TEST_AND_SET_IS_NOT_NATIVE
#define | Q_ATOMIC_INT_FETCH_AND_STORE_IS_NOT_NATIVE
#define | Q_ATOMIC_INT_FETCH_AND_ADD_IS_NOT_NATIVE
#define | Q_ATOMIC_POINTER_TEST_AND_SET_IS_NOT_NATIVE
#define | Q_ATOMIC_POINTER_FETCH_AND_STORE_IS_NOT_NATIVE
#define | Q_ATOMIC_POINTER_FETCH_AND_ADD_IS_NOT_NATIVE
## Functions
Q_CORE_EXPORT bool | QBasicAtomicInt_testAndSetOrdered (volatile int *, int, int)
Q_CORE_EXPORT int | QBasicAtomicInt_fetchAndStoreOrdered (volatile int *, int)
Q_CORE_EXPORT int | QBasicAtomicInt_fetchAndAddOrdered (volatile int *, int)
Q_CORE_EXPORT bool | QBasicAtomicPointer_testAndSetOrdered (void *volatile *, void *, void *)
Q_CORE_EXPORT void * | QBasicAtomicPointer_fetchAndStoreOrdered (void *volatile *, void *)
Q_CORE_EXPORT void * | QBasicAtomicPointer_fetchAndAddOrdered (void *volatile *, qptrdiff)

## Define Documentation

#define Q_ATOMIC_INT_REFERENCE_COUNTING_IS_NOT_NATIVE

Search for all occurrences

Definition at line 49 of file qatomic_generic.h.

#define Q_ATOMIC_INT_TEST_AND_SET_IS_NOT_NATIVE

Search for all occurrences

Definition at line 56 of file qatomic_generic.h.

#define Q_ATOMIC_INT_FETCH_AND_STORE_IS_NOT_NATIVE

Search for all occurrences

Definition at line 63 of file qatomic_generic.h.

#define Q_ATOMIC_INT_FETCH_AND_ADD_IS_NOT_NATIVE

Search for all occurrences

Definition at line 70 of file qatomic_generic.h.

#define Q_ATOMIC_POINTER_TEST_AND_SET_IS_NOT_NATIVE

Search for all occurrences

Definition at line 77 of file qatomic_generic.h.

#define Q_ATOMIC_POINTER_FETCH_AND_STORE_IS_NOT_NATIVE

Search for all occurrences

Definition at line 86 of file qatomic_generic.h.

#define Q_ATOMIC_POINTER_FETCH_AND_ADD_IS_NOT_NATIVE

Search for all occurrences

Definition at line 95 of file qatomic_generic.h.

## Function Documentation

Q_CORE_EXPORT bool QBasicAtomicInt_testAndSetOrdered | ( | volatile int * | ,
|  | int | ,
|  | int |
| ) |  |

Search for all occurrences

Q_CORE_EXPORT int QBasicAtomicInt_fetchAndStoreOrdered | ( | volatile int * | ,
|  | int |
| ) |  |

Search for all occurrences

Q_CORE_EXPORT int QBasicAtomicInt_fetchAndAddOrdered | ( | volatile int * | ,
|  | int |
| ) |  |

Search for all occurrences

Q_CORE_EXPORT bool QBasicAtomicPointer_testAndSetOrdered | ( | void *volatile * | ,
|  | void * | ,
|  | void * |
| ) |  |

Search for all occurrences

Q_CORE_EXPORT void* QBasicAtomicPointer_fetchAndStoreOrdered | ( | void *volatile * | ,
|  | void * |
| ) |  |

Search for all occurrences

Q_CORE_EXPORT void* QBasicAtomicPointer_fetchAndAddOrdered | ( | void *volatile * | ,
|  | qptrdiff |
| ) |  |

Search for all occurrences